Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.utils
Class Test

    java.lang.Object
      |
      +--gl4java.utils.Test

public class Test
extends java.lang.Object

Constructor Summary
`Test(java.lang.String testClazzName, int width, int height, java.lang.String glName, java.lang.String gluName)`

Method Summary
`void` | `loadNStartTestClazz()`
`static void` | `main(java.lang.String[] args)` Test to load the native library, GLFunc and GLUFunc implementation ! If succesfull, a Frame will created and the GL-Infos (vendor, ...) are shown in it !

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Test

    public Test(java.lang.String testClazzName,
                int width,
                int height,
                java.lang.String glName,
                java.lang.String gluName)

Method Detail

### loadNStartTestClazz

    public void loadNStartTestClazz()

### main

    public static void main(java.lang.String[] args)

  Test to load the native library, GLFunc and GLUFunc implementation ! If succesfull, a Frame will created and the GL-Infos (vendor, ...) are shown in it !
  Parameters:
    `args,` - a list of args, -gljlib gl4java-glj-lib native library -glclass gl4java-gl-class java GLFunc implementation -gluclass gl4java-glu-class java GLUFunc implementation -testclass A derivation of GLCanvas (GLAnimCanvas also) or SimpleGLAnimApplet1 can be started here for testing purposes ! -w the testclass window width (default 400) -h the testclass window height (default 250) -perftest if a derivation of GLAnimCanvas is used as the testclass (see above), the fps-sleep and the use-repaint flags are set to false! without any arguments, a help screen is shown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD